package com.bocloud.cmp.model.hmc.pcm;

import java.util.List;

public class Trend {
    private List<Double> trendValues;
    private List<String> timeStamps;
    private String name;

    public List<Double> getTrendValues() {
        return trendValues;
    }

    public void setTrendValues(List<Double> trendValues) {
        this.trendValues = trendValues;
    }

    public void addTrendValues(Double value, int scale) {
        this.trendValues.add(Math.round(value * Math.pow(10, scale)) / Math.pow(10, scale));
    }

    public List<String> getTimeStamps() {
        return timeStamps;
    }

    public void setTimeStamps(List<String> timeStamps) {
        this.timeStamps = timeStamps;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
